<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Liste des Avenants</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  <section id="data-thumb-view" class="data-thumb-view-header">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title"></h4>
                </div>
                <div class="card-content">
  
                    <div class="card-body card-dashboard">
  
                        <div class="table-responsive">
                            <a  [routerLink]="['/creation_avenant']" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Ajouter Avenant</a>
  
                            <table class="table zero-configuration table-striped" >
  
                                <thead>
                                    <tr>   
                                      <th>numero.Police</th>                                  
                                      <th>Date.Effet</th>
                                      <th>Date.Fin</th>
                                      <th>Montant Prime</th>
                                      <th>ACTION</th>
                                    </tr>
                                </thead>
                                <tbody>
                                  <tr *ngFor="let a of avenants; index as i">
                                    <ng-container *ngFor="let c of contrats">
  
                                    <td class="product-category" *ngIf="a.contratId === c.id">{{c.numeroPolice}}</td>
                                    </ng-container>
                                    
                                   
                                    
                                     
                                    <td class="product-category">{{a.dateEffet |  date:'medium'}}</td>
                                    <td class="product-category">{{a.dateFin |  date:'medium'}}</td>
                                   
                                    <td class="product-name">{{a.montant}}</td>
                                    <td class="product-action">
                                      
                          
                                      <div class="dropdown">
                                       <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                       <div class="dropdown-menu dropdown-menu-right">
                                        <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifier' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                       
                                        <a class="dropdown-item"  data-toggle="modal" (click)="deletePopup(a.id)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                      
                                       </div>
                                     </div>
                                     
                                     </td>
  
                                  
      
                                       <div class="modal modal-danger fade" id="modifier{{i}}">
                                        <div class="modal-dialog " role="document">
                                          <div class="modal-content" style="width:700px">
                                            <div class="modal-header">
                                              <h4 class="modal-title" id="myModalLabel4">Modifier Client </h4>
                                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">×</span>
                                              </button>
                                            </div>
                                            <div class="modal-body">
                                                   
                                                <form novalidate #f="ngForm" (ngSubmit)="updateAvenant(f.value)">
                                                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFromAvenant" >
                                                      <i class="feather icon-info mr-1 align-middle"></i>
                                                      <span>{{InvalidFromAvenant}}</span>
                                                    </div>
                                                    <div class="row">
                                                      <div class="col-6 col-sm-6">
                                                        <div class="form-group">
                                                          <div class="controls">
                                                        <input type="hidden" name="id" [(ngModel)]="a.id" #id>
                                                            <label>Date Effet</label>
                                                            <input type="date" class="form-control" name="dateEffet" #dateEffet="ngModel" [ngModel]="a.dateEffet| date:'yyyy-MM-dd'" (ngModelChange)="a.dateEffet = $event"  required>
                                                          </div>
                                                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="dateEffet.touched && dateEffet.invalid">
                                                            <i class="feather icon-info mr-1 align-middle"></i>
                                                            <span>Date Effet Obligatoire</span>
                                                          </div>
                                                        </div>
                                                      </div>
                                                      <div class="col-6 col-sm-6">
                                                
                                                        <div class="form-group">
                                                          <div class="controls">
                                                            <label>Date Fin</label>
                                                            <input type="date" class="form-control"  name="dateFin" #dateFin="ngModel" [ngModel]="a.dateFin| date:'yyyy-MM-dd'" (ngModelChange)="a.dateFin = $event"  required>
                                                          </div>
                                                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="dateFin.touched && dateFin.invalid">
                                                            <i class="feather icon-info mr-1 align-middle"></i>
                                                            <span>Date Fin Obligatoire</span>
                                                          </div>
                                                        </div>
                                                      </div>
                                                      <div class="col-6 col-sm-6">
                                                        <div class="form-group">
                                                          <div class="controls">
                                                            <label>Contrat:</label>
                                                            <select class="form-control" name="contratId"  [(ngModel)]="a.contratId"  #contratId="ngModel">
                                                                <option *ngFor="let c of contrats" value="{{c.id}}">{{c.numeroPolice}}</option>
                                                              </select>
                                                            </div>
                                                            
                                                        </div>
                                                
                                                      </div>
                                                
                                                      <div class="col-6 col-sm-6">
                                                        <div class="form-group">
                                                          <div class="controls">
                                                            <label>Montant:</label>
                                                            <input type="number" class="form-control" placeholder="Montant"  name="montant" #montant="ngModel" [(ngModel)]="a.montant"  required>
                                                          </div>
                                                          <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="montant.touched && montant.invalid">
                                                            <i class="feather icon-info mr-1 align-middle"></i>
                                                            <span>Montant Obligatoire</span>
                                                          </div>
                                                        </div>
                                                
                                                      </div>
                                                    
                                                      </div>
                                                        
                                               <hr>
                                                    <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" style="margin-left: 490px;"[disabled]="f.invalid">Modifier Avenant</button>                                              
                                              </form>                                         
                                                
                                      
                                      
                                            </div>
                                           
                                          
                                          </div>
                                          <!-- /.modal-content -->
                                        </div>
                                        <!-- /.modal-dialog -->
                                      </div>
  
      
  
                                 
                                  </tr>
                              
                                         </tbody>                            
                                
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- dataTable ends -->
  
    <!-- add new sidebar starts -->
   
    <div class="modal modal-danger fade" id="modal-danger2">
      <div class="modal-dialog " role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel4">Suppression Rendez-vous</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <p>
            Voulez vous supprimer  Rendez vous 1
            </p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal">Supprimer</button>
          </div>
        
        </div>
        <!-- /.modal-content -->
      </div>
      <!-- /.modal-dialog -->
    </div>
    <!-- add new sidebar ends -->
  </section>